/*
 * file: Error.js
 *
 * @BEGINLICENSE
 * Copyright 2010 Brook Novak  (email : brooknovak@seaweed-editor.com) 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * @ENDLICENSE
 */
bootstrap.provides("Error");

// @DEBUG ON
var _ErrorCode = { 

    // @REPLACE _ErrorCode.BAD_ARGS 1
    BAD_ARGS : 1
    

};
// @DEBUG OFF

var _ErrorMessages = { // TODO: multi-language support ?
    
   '1' : "Bad arguments"

};

/**
 * Raises an error and ends execution (throws error)
 * 
 * @param {Number, String} arg If string the error raises with contain the message
 *                             otherwise if number then the error will contain
 *                             the message for the error code
 */
function _error(arg) {
    throw new Error(typeof arg == "number" ? _ErrorMessages[arg] : arg);
}


