/*
 * file: DLLNode.js
 *
 * @BEGINLICENSE
 * Copyright 2010 Brook Novak  (email : brooknovak@seaweed-editor.com) 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * @ENDLICENSE
 */
/**
 * @class
 * <i><b>[Reference material only]</b></i>
 * <br><br>
 * A node used in de.collections.DoublyLinkedList
 * @author Brook Novak
 * 
 */
de.collections.DLLNode = function() {
	
	/**
	 * Read only: the user data
	 * @type Object
	 */
	this.data = null;
	
	/**
	 * Read only: the next node
	 * @type de.collections.DLLNode
	 */
	this.next = null;
	
	/**
	 * Read only: the previous node
	 * @type de.collections.DLLNode
	 */
	this.prev = null;
}
